%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	File-NCopy

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Perl File::NCopy Module
Name:		perl-%{perlname}
Version:	0.36
Release:	1
Group:		Development/Perl
License:	GNU/GPL
URL:		http://search.cpan.org/search?module=File+NCopy
Source:		%{perlname}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
File::NCopy::copy copies files to directories, or a single file to another file.
You can also use a reference to a file handle if you wish whem doing a file to 
file copy. The functionality is very similar to cp. If the argument is a 
directory to directory copy and the recursive flag is set then it is done 
recursively like cp -R. In fact it behaves like cp on Unix for the most part. 
If called in array context, an array of successful copies is returned, otherwise
the number of succesful copies is returned. If passed a file handle, it's 
difficult to make sure the file we are copying isn't the same that we are 
copying to, since by opening the file in write mode it gets pooched. To avoid 
this use file names instead, if at all possible, especially for the to file. If
passed a file handle, it is not closed when copy returns, files opened by copy 
are closed.

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir
%_mandir

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.36-1
- Version Update
* Sat Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.34-1
- Initial Build
